net.sf.okapi.common.layerprovider

## Interface ILayerProvider

- All Superinterfaces:
    IEncoder
  All Known Implementing Classes:
    LayerProvider

      public interface ILayerProvider
      extends IEncoder

  Provides common methods for encoding a layer on top of a text extracted with a filter.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `endCode()` Gets the string denoting the end of external codes.
    `java.lang.String` | `endInline()` Gets the string denoting the end of inline codes.
    `java.lang.String` | `endSegment()` Gets the string denoting the end of a bilingual segment.
    `java.lang.String` | `midSegment(int leverage)` Gets the string for the separator at the middle of a bilingual segment.
    `java.lang.String` | `startCode()` Gets the string denoting the start of external codes.
    `java.lang.String` | `startInline()` Gets the string denoting the start of inline codes.
    `java.lang.String` | `startSegment()` Gets the string denoting the start of a bilingual segment.

    - ### Methods inherited from interface net.sf.okapi.common.encoder.IEncoder

      `encode, encode, encode, getCharsetEncoder, getEncoding, getLineBreak, getParameters, reset, setOptions, toNative`

- - ### Method Detail

    - #### startCode

          java.lang.String startCode()

      Gets the string denoting the start of external codes.
      Returns:
        The string denoting the start of external codes.

    - #### endCode

          java.lang.String endCode()

      Gets the string denoting the end of external codes.
      Returns:
        The string denoting the end of external codes.

    - #### startInline

          java.lang.String startInline()

      Gets the string denoting the start of inline codes.
      Returns:
        The string denoting the start of inlinel codes.

    - #### endInline

          java.lang.String endInline()

      Gets the string denoting the end of inline codes.
      Returns:
        The string denoting the end of inlinel codes.

    - #### startSegment

          java.lang.String startSegment()

      Gets the string denoting the start of a bilingual segment.
      Returns:
        The string denoting the start of a bilingual segment.

    - #### endSegment

          java.lang.String endSegment()

      Gets the string denoting the end of a bilingual segment.
      Returns:
        The string denoting the end of a bilingual segment.

    - #### midSegment

          java.lang.String midSegment(int leverage)

      Gets the string for the separator at the middle of a bilingual segment.
      Parameters:
        `leverage` - Indicator of leverage to optionally place in the separator.
      Returns:
        The string for the separator at the middle of a bilingual segment.